%define maj  1
%define min  3
%define rev  2003.08.03

Summary:     A Pluggable Authentication Module (PAM) for Kerberos 5
Name:        pam_krb5
Version:     %{maj}.%{min}
Release:     %{rev}.pp
License:     GPL
Group:       System Environment/Base
Source0:     http://prdownloads.sourceforge.net/%{name}/%{name}_snap-%{rev}.tar.gz
URL:         http://sourceforge.net/projects/pam-krb5/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc krb5-libs >= 1.4 krbafs pam
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel krb5-devel >= 1.4 krbafs-devel pam-devel
BuildPrereq: autoconf259
ExclusiveOS: linux


%description
This is %{name}, a pluggable authentication module that can
be used with Linux-PAM and Kerberos 5. This module supports
password checking, ticket creation, and optional TGT verifi-
cation and conversion to Kerberos 4 tickets.


%prep
%setup -q -n %{name}_snap-%{rev}
rm -rf *.cache *.status *.log
autoreconf-2.59 --install


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-static         \
	--enable-shared
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc %dir krb5afs-pam.d pam.d
/lib/security/*.so
/usr/share/man/man5/*
/usr/share/man/man8/*


%changelog
* Mon Mar 21 2005 peter.pramberger@member.fsf.org
- created

